/* stylelint-disable indentation */
/* stylelint-disable */

@import './fonts.scss';
@import './appBar.scss';
@import './filter.scss';
@import './form.scss';
@import './signUp.scss';
@import './home.scss';
@import './browse.scss';
@import './about.scss';
@import './carousel.scss';
@import './dashboard.scss';
@import './footer.scss';
@import './product.scss';
@import './login.scss';
@import './box.scss';
@import './wishlist.scss';
@import './subscription.scss';
@import './checkout.scss';
@import './privacy.scss';
@import './pickforme.scss';

.mdi-heart-outline {
    color: gray !important;
}

.mdi-heart {
    color: #e31f24 !important;
}

.main {
    margin-top: 0;
}

.v-main {
    padding: unset !important;
}

.v-toolbar__content {
    padding: 0 16px !important;
}

// fonts
.uppercase {
    text-transform: uppercase;
}

.lowercase {
    text-transform: none !important;
}

.font-syne-bold {
    font-family: $font-syne-bold !important;
}

.font-metropolis-regular {
    font-family: $font-metropolis-regular !important;
}

.font-bold {
    font-weight: bold;
}

.font-12 {
    font-size: 12px;
}

.font-14 {
    font-size: 14px !important;
}

.font-24 {
    font-size: 24px !important;
}

.font-36 {
    font-size: 3vh !important;
}

.font-100 {
    font-size: 100px !important;
}

// text
h3 {
    font-size: 16px;
}

.box-title-text {
    font-family: $font-syne-bold;
    font-size: 16px;
    color: $dim-grey;
}

.plan-white-text {
    font-family: $font-syne-bold;
    font-size: 12px;
    color: #fff;
}

.plan-text {
    font-family: $font-syne-bold;
    font-size: 12px;
    color: $dim-grey;
}

.step-title,
.product-title-text {
    font-family: $font-metropolis-regular;
    font-size: 12px;
}

.step-title {
    margin-bottom: unset !important;
}

.step-desc {
    font-family: $font-metropolis-regular;
    font-size: 18px;
    color: #fff;
}

.highlight-text,
.product-desc-text,
.brand-name-text {
    font-family: $font-metropolis-regular;
    font-size: 12px;
    color: $grey;
}

.highlight-white-text {
    font-family: $font-metropolis-regular;
    font-size: 14px;
    color: #fff;
}

.cart-text {
    font-family: $font-metropolis-regular;
    font-size: 14px;
}

// text color
.text-red {
    color: $red;
}

.text-black {
    color: #000;
}

.text-white {
    color: #fff;
}

.text-dim-grey {
    color: $dim-grey;
}

.text-grey {
    color: $grey;
}

.pointer {
    cursor: pointer;
}

// borders
.br-0 {
    border-radius: 0 !important;
}

.br-15 {
    border-radius: 15px !important;
}

.border-red {
    border: 1px solid $red !important;
}

.border-white {
    border: 1px solid #fff;
}

.border-top-white {
    border-top: 1px solid #fff !important;
}

.border-top-dark-grey {
    border-top: 1px solid $dark-grey;
}

.border-bottom-black {
    border-bottom: 1px solid #000;
}

.border-bottom-dark-grey {
    border-bottom: 1px solid $dark-grey;
}

hr {
    width: 100%;
}

// paddings
@media (min-width: 960px) {
    .pt-164 {
        padding-top: 164px !important;
    }

    .pb-164 {
        padding-bottom: 164px !important;
    }
}

.pa-10 {
    padding: 10px;
}

.pa-20 {
    padding: 20px;
}

.pa-30 {
    padding: 30px;
}

.pa-50 {
    padding: 50px;
}

.pa-100 {
    padding: 100px;
}

.py-10 {
    padding: 10px 0;
}

.py-20 {
    padding: 20px 0;
}

// margins
.mtn-100 {
    margin-top: -100px;
}

.mb-120 {
    margin-bottom: 120px;
}

// z-index
.zi-4 {
    z-index: 4 !important;
}

// list
ul {
    list-style-type: square;
    padding-left: 0 !important;

    li {
        line-height: 2;
        font-family: $font-metropolis-regular;
        font-size: 12px;
        color: $grey;
        margin-left: 16px;

        p {
            margin-bottom: 5px !important;
        }
    }
}

// width
.res-width {
    width: 100% !important;
}

.res-quarter-width {
    width: 30% !important;
}

.w-100 {
    width: 100px;
}

// background
.transparent-bg {
    background-color: transparent !important;
}

.white-bg {
    background-color: #fff;
}

.black-bg {
    background-color: #000;
}

.grey-bg {
    background-color: $grey;
}

.dark-black-bg {
    background-color: $dark-black !important;
}

#app {
    background-color: var(--v-background-base);
}

// buttons
.cta-btn {
    font-family: $font-syne-bold;
    margin-left: -25%;
}

.subscribe-btn {
    font-family: $font-syne-bold;
    font-size: 12px !important;
}

// images
.popularTag {
    position: absolute;
    margin-top: -70px;
    margin-left: 200px;
    width: 100px;
    height: 100px;
    animation-name: spin;
    animation-duration: 5000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

// input
::placeholder {
    color: $dark-grey;
}

// transitions
.fade-enter-active,
.fade-leave-active {
    transition: opacity 0.5s;
}

.fade-enter,
.fade-leave-active {
    opacity: 0;
}

.justify-start {
    justify-content: flex-start;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@media (max-width: 420px) {
    .spacing-top-mobile {
        margin-top: 50px;
    }
}

//plan
.plan-btn {
    width: 160px !important;
    height: 44px !important;
    font-size: 18px;
    border-radius: 22px !important;
}

.planType-content {
    width: 250px;
    height: 300px;
    background: #FFFFFF;
    border-radius: 20px;

    .planType-container {
        background-color: #EA1C24;
        height: 60px;
        border-radius: 20px 20px 0px 0px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .planType-title {
        font-size: 18px;
        text-align: center;
        padding: 20px;
    }

    .info-container {
        text-align: center;
        padding: 10px 30px 0 30px;

        .info-title {
            color: #EA1C24;
            font-family: $font-metropolis-regular;
            font-weight: bold;
            font-size: 16px;
        }

        .info-subtitle {
            color: black;
            font-family: $font-metropolis-regular;
            font-weight: bold;
            font-size: 16px;
        }
    }
}

.trial-text {
    color: red !important;
}